%define pkgname		GConf

%define api_version	2
%define gi_version	2.0
%define	lib_major	4
%define lib_name	%mklibname %{pkgname} %{api_version} %{lib_major}
%define gi_name		%mklibname gconf-gir %{gi_version}
%define lib_namedev	%mklibname -d %{pkgname} %{api_version}

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	A configuration database system for GNOME
Name:		%{pkgname}%{api_version}
Version:	3.2.6
Release:	%mkrel 21
License:	LGPLv2+
Group:		Graphical desktop/GNOME
URL:		https://www.gnome.org/projects/gconf/
Source0: 	https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
Source1:	gconf.sh
Source2:	gconf.csh
# (fc) reload database when schemas are installed/uninstalled (GNOME bug #328697)
Patch1:		GConf-2.12.1-reload.patch
BuildRequires:	pkgconfig(dbus-1) >= 1.0.0
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.74
BuildRequires:	pkgconfig(gio-2.0) >= 2.25.9
BuildRequires:	pkgconfig(glib-2.0) > 2.14.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.7.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.7.0
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	openldap-devel
BuildRequires:	autoconf
BuildRequires:	gtk-doc
BuildRequires:	intltool >= 0.35.0
BuildRequires:	python3
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.5
# Remming out due to MGA#16454
# Requires:	polkit-agent
Requires:	gsettings-desktop-schemas
Requires:	%{lib_name} = %{version}
# needed by patch1
Requires:	psmisc
Requires:	sed
Requires(post):	update-alternatives
Recommends:	dconf

%description
GConf is a configuration data storage mechanism scheduled to
ship with GNOME. GConf does work without GNOME however; it
can be used with plain GTK+, Xlib, KDE, or even text mode
applications as well.

%package -n %{lib_name}
Summary:	%{summary}
Group:		System/Libraries
Requires:	%{name} >= %{version}
Conflicts:	gir-repository < 0.6.5-12

%description -n %{lib_name}
GConf is a configuration data storage mechanism scheduled to
ship with GNOME. GConf does work without GNOME however; it
can be used with plain GTK+, Xlib, KDE, or even text mode
applications as well.

This package contains necessary libraries to run any programs linked
with GConf.

%package -n %{gi_name}
Summary:	GObject introspection interface library for %{pkgname}
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{gi_name}
GObject introspection interface library for %{pkgname}.

%package -n %{lib_namedev}
Summary:	Development libraries and headers for GConf
Group:		Development/GNOME and GTK+
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	%{gi_name} = %{version}
Obsoletes:	%mklibname -d %{name}_ 4
Conflicts:	GConf-sanity-check
Conflicts:	gir-repository < 0.6.5-12

%description -n %{lib_namedev}
GConf is a configuration data storage mechanism scheduled to
ship with GNOME. GConf does work without GNOME however; it
can be used with plain GTK+, Xlib, KDE, or even text mode
applications as well.

This package contains the header files and libraries needed to develop
applications using GConf.

%prep
%setup -q -n %{pkgname}-%{version}
%autopatch -p1

2to3 --write --nobackup gsettings/gsettings-schema-convert
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" . gsettings/gsettings-schema-convert

%build
%configure --with-gtk=3.0 --disable-static --disable-orbit
%make_build

%install
%make_install

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/gconf.sh
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/gconf.csh

mkdir %{buildroot}%{_sysconfdir}/gconf/schemas

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gconf/{gconf.xml.local-defaults,gconf.xml.local-mandatory,gconf.xml.system}

cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/gconf/2/local-defaults.path
xml:readonly:/etc/gconf/gconf.xml.local-defaults
include "\$(HOME)/.gconf.path.defaults"
EOF

cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/gconf/2/local-mandatory.path
xml:readonly:/etc/gconf/gconf.xml.local-mandatory
include "\$(HOME)/.gconf.path.mandatory"
EOF

%find_lang %{name}

# create symlink
ln -s %{_bindir}/gconftool-2 %{buildroot}%{_bindir}/gconftool

# remove unpackaged files
find %{buildroot} -name '*.la' -delete

# automatic install of gconf schemas on rpm installs
%transfiletriggerin -- /etc/gconf/schemas/
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`;
cat | xargs %{_bindir}/gconftool-2 --makefile-install-rule >/dev/null

%triggerpostun -- GConf2 < 3.2.6-13
if [ -L %{_sysconfdir}/alternatives/gconftool -a -x %{_sbindir}/update-alternatives ]; then
	%{_sbindir}/update-alternatives --remove gconftool %{_bindir}/gconftool-2
fi

%files -f %{name}.lang
%doc README
%config(noreplace) %{_sysconfdir}/profile.d/*
%config(noreplace) %_sysconfdir/dbus-1/system.d/org.gnome.GConf.Defaults.conf
%_sysconfdir/xdg/autostart/gsettings-data-convert.desktop
%_bindir/gsettings-data-convert
%_bindir/gsettings-schema-convert
%{_bindir}/gconftool*
%{_bindir}/gconf-merge-tree
%_mandir/man1/gconftool-2.1*
%_mandir/man1/gsettings-data-convert.1*
%_mandir/man1/gsettings-schema-convert.1*
%{_libexecdir}/gconfd-%{api_version}
%{_libexecdir}/gconf-defaults-mechanism
%dir %{_libdir}/GConf
%dir %{_libdir}/GConf/%{api_version}
%{_libdir}/GConf/%{api_version}/*.so
%config(noreplace) %{_sysconfdir}/gconf/%{api_version}
%dir %{_sysconfdir}/gconf
%dir %{_sysconfdir}/gconf/gconf.xml*
%dir %{_sysconfdir}/gconf/schemas
%{_datadir}/polkit-1/actions/org.gnome.gconf.defaults.policy
%{_datadir}/sgml/gconf
%{_datadir}/GConf
%{_datadir}/dbus-1/services/org.gnome.GConf.service
%{_datadir}/dbus-1/system-services/org.gnome.GConf.Defaults.service

%files -n %{lib_name}
%doc README
%{_libdir}/lib*.so.%{lib_major}
%{_libdir}/lib*.so.%{lib_major}.*
%{_libdir}/gio/modules/libgsettingsgconfbackend.so

%files -n %{gi_name}
%{_libdir}/girepository-1.0/GConf-%{gi_version}.typelib

%files -n %{lib_namedev}
%doc ChangeLog TODO NEWS AUTHORS
%doc %{_datadir}/gtk-doc/html/*
%{_datadir}/aclocal/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/GConf-%{gi_version}.gir


%changelog
* Tue Jan 03 2023 umeabot <umeabot> 3.2.6-21.mga9
+ Revision: 1929539
- Rebuild to use libldap-2.5 instead of 2.4

* Wed Mar 30 2022 umeabot <umeabot> 3.2.6-20.mga9
+ Revision: 1835233
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 daviddavid <daviddavid> 3.2.6-19.mga8
+ Revision: 1526066
- fix python shebang to python3 environment like fedora does
- used 2to3 to convert gsettings-schema-convert to run under python3

* Thu Feb 13 2020 daviddavid <daviddavid> 3.2.6-18.mga8
+ Revision: 1513189
- fix python shebangs
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 3.2.6-17.mga7
+ Revision: 1297839
- Mageia 7 Mass Rebuild
+ pterjan <pterjan>
- Fix breakage from find_lang update script
- Fix for new find_lang

* Thu Dec 08 2016 luigiwalser <luigiwalser> 3.2.6-15.mga6
+ Revision: 1073395
- fix update-alternatives call in scriptlet

* Sun Feb 14 2016 umeabot <umeabot> 3.2.6-14.mga6
+ Revision: 960244
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 wally <wally> 3.2.6-13.mga6
+ Revision: 895317
- drop update-alternatives way to create gconftool symlink
- drop old conflicts
- drop old triggerpostun script

* Sat Oct 24 2015 wally <wally> 3.2.6-12.mga6
+ Revision: 894999
- fix filetrigger

* Sun Sep 06 2015 tv <tv> 3.2.6-11.mga6
+ Revision: 873758
- switch to new upstream file trigger syntax

* Mon Jul 27 2015 shlomif <shlomif> 3.2.6-10.mga6
+ Revision: 858256
- Remove requires for polkit-agent (mga#16454)

* Sun Jun 28 2015 wally <wally> 3.2.6-9.mga6
+ Revision: 847180
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 3.2.6-8.mga5
+ Revision: 750427
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 3.2.6-7.mga5
+ Revision: 731136
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 3.2.6-6.mga5
+ Revision: 686605
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 3.2.6-5.mga5
+ Revision: 677643
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 3.2.6-4.mga4
+ Revision: 523440
- Mageia 4 Mass Rebuild

* Thu Apr 25 2013 colin <colin> 3.2.6-3.mga3
+ Revision: 411143
- Conflict with GConf-sanity-check to prevent -devel packages being pulled in on upgrade

* Mon Jan 28 2013 cjw <cjw> 3.2.6-2.mga3
+ Revision: 392984
- drop gconfd symlink in /usr/lib for biarch systems, not needed with gconfd in /usr/libexec (fixes #8875)

* Tue Jan 22 2013 ovitters <ovitters> 3.2.6-1.mga3
+ Revision: 390805
- remove sanity-check subpackage (removed upstream)
- new version 3.2.6

* Fri Jan 11 2013 umeabot <umeabot> 3.2.5-2.mga3
+ Revision: 345059
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 12 2012 ovitters <ovitters> 3.2.5-1.mga2
+ Revision: 222977
- new version 3.2.5

* Fri Mar 09 2012 fwang <fwang> 3.2.4-1.mga2
+ Revision: 222012
- new version 3.2.4

* Tue Feb 14 2012 ovitters <ovitters> 3.2.3-2.mga2
+ Revision: 208872
- clean spec

* Mon Oct 31 2011 wally <wally> 3.2.3-1.mga2
+ Revision: 160527
- new version 3.2.3

* Fri Oct 28 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 159123
- new version 3.2.2
- drop upstreamed patch

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148790
- new version 3.2.0

* Mon Sep 19 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 145654
- new version 3.1.92

* Mon Sep 19 2011 fwang <fwang> 3.1.90-4.mga2
+ Revision: 145584
- bump rel
- disable old orbit support, turn to dbus for ipc

* Tue Sep 13 2011 fwang <fwang> 3.1.90-3.mga2
+ Revision: 142811
- drop .la files

* Tue Aug 30 2011 fwang <fwang> 3.1.90-2.mga2
+ Revision: 136387
- fix overlink of libgconf

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136352
- new version 3.1.90
- new version 3.1.5
+ wally <wally>
- new version 3.1.6

* Fri Jul 08 2011 cjw <cjw> 3.1.3-1.mga2
+ Revision: 119942
- same version 3.1.3 (2.32.5 was renamed)

* Fri Jul 08 2011 cjw <cjw> 2.32.5-2.mga2
+ Revision: 119931
- rebuild to add typelib deps and provides

* Fri Jul 01 2011 dmorgan <dmorgan> 2.32.5-1.mga2
+ Revision: 117176
- New version 2.32.5

* Thu Jun 16 2011 dmorgan <dmorgan> 2.32.4-1.mga2
+ Revision: 108269
- New version 2.32.4

* Thu Apr 28 2011 saispo <saispo> 2.32.3-2.mga1
+ Revision: 93277
- Bump Release
- Add Requires : gsettings-desktop-schemas
  Add Suggests : dconf
  Fix bug #1014

* Wed Apr 27 2011 ahmad <ahmad> 2.32.3-1.mga1
+ Revision: 91869
- Update to 2.32.3

* Sat Apr 16 2011 pterjan <pterjan> 2.32.2-1.mga1
+ Revision: 86577
- Update to 2.32.2

* Thu Apr 14 2011 pterjan <pterjan> 2.32.1-2.mga1
+ Revision: 85120
- Add back dependency accidentaly dropped while syncing with mdv (spotted by rtp)

* Sat Mar 26 2011 pterjan <pterjan> 2.32.1-1.mga1
+ Revision: 77787
- Sync with mdv

* Mon Jan 10 2011 dmorgan <dmorgan> 2.32.0-1.mga1
+ Revision: 5503
- imported package GConf2


* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581439
- update to new version 2.32.0

* Mon Sep 13 2010 Götz Waschk <waschk@mandriva.org> 2.31.91-3mdv2011.0
+ Revision: 577925
- rebuild for new g-i
- fix postun script

* Tue Aug 31 2010 Götz Waschk <waschk@mandriva.org> 2.31.91-2mdv2011.0
+ Revision: 574656
- add scripts for gio modules

* Mon Aug 30 2010 Götz Waschk <waschk@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 574500
- update to new version 2.31.91

* Thu Aug 05 2010 Götz Waschk <waschk@mandriva.org> 2.31.7-1mdv2011.0
+ Revision: 566129
- new version
- bump glib dep
- drop patch 2

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 2.31.6-1mdv2011.0
+ Revision: 563737
- add patch from upstream to build with latest glib

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - bump glib dep
    - enable introspection support

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.28.1-1mdv2010.1
+ Revision: 529660
- update to new version 2.28.1

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 2.28.0-2mdv2010.1
+ Revision: 521834
- rebuilt for 2010.1

* Tue Sep 22 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 447372
- update to new version 2.28.0
- depend on polkit-agent

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-1mdv2010.0
+ Revision: 421071
- new version
- use new polkit

* Tue Jun 30 2009 Götz Waschk <waschk@mandriva.org> 2.26.2-2mdv2010.0
+ Revision: 390831
- update devel deps

* Fri May 15 2009 Götz Waschk <waschk@mandriva.org> 2.26.2-1mdv2010.0
+ Revision: 375884
- update to new version 2.26.2

* Wed May 06 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2010.0
+ Revision: 372385
- update to new version 2.26.1

* Tue Mar 17 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356488
- update to new version 2.26.0

* Tue Feb 17 2009 Frederic Crozat <fcrozat@mandriva.com> 2.25.2-2mdv2009.1
+ Revision: 341433
- Package /etc/gconf/gconf.xml.system (Mdv bug #47867)

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 341231
- update to new version 2.25.2

* Sun Feb 15 2009 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 340501
- update to new version 2.25.1

* Sat Jan 10 2009 Götz Waschk <waschk@mandriva.org> 2.25.0-1mdv2009.1
+ Revision: 327959
- update to new version 2.25.0

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286841
- new version

* Thu Aug 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.2-2mdv2009.0
+ Revision: 276868
- Reinstall all schemas if upgrading from 2008.1 or older, filetriggers might have been installed too late during the upgrade

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.2-1mdv2009.0
+ Revision: 273776
- new version
- update file list
- update build deps

* Tue Jul 08 2008 Olivier Blin <oblin@mandriva.com> 2.23.1-2mdv2009.0
+ Revision: 232738
- explicitely require sed for filetrigger script (so that it is available when used by installer)

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.1-1mdv2009.0
+ Revision: 230996
- fix license
- new version
- drop patch 0
- update buildrequires
- update file list

* Wed Jun 11 2008 Pixel <pixel@mandriva.com> 2.22.0-4mdv2009.0
+ Revision: 217906
- add rpm filetrigger running "gconftool-2 --makefile-install-rule" when rpm install gconf schemas
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Mar 31 2008 Anssi Hannula <anssi@mandriva.org> 2.22.0-3mdv2008.1
+ Revision: 191330
- post script requires update-alternatives

* Tue Mar 25 2008 Emmanuel Andry <eandry@mandriva.org> 2.22.0-2mdv2008.1
+ Revision: 189891
- Fix lib group

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183578
- new version

* Wed Feb 27 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-4mdv2008.1
+ Revision: 175697
- add conflict to the sanity check package for upgrades

* Wed Feb 27 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-3mdv2008.1
+ Revision: 175666
- make the devel package depend on the sanity check package

* Mon Feb 25 2008 Olivier Blin <oblin@mandriva.com> 2.21.90-2mdv2008.1
+ Revision: 174924
- split gconf-sanity-check in a GConf2-sanity-check package not to require gtk in GConf2

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159229
- new version

* Tue Jan 22 2008 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 156128
- new version
- drop patch 2

* Thu Jan 10 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.21.1-2mdv2008.1
+ Revision: 147575
- Disable regenerating the docs for now, as texpdf is looping itself.
- Added patch pkgconfig, to make it not require glib1 but glib2 instead.
  Same fix as in http://svn.gnome.org/viewvc/gconf/trunk/gconf-2.0.pc.in?r1=2505&r2=2506

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 146812
- new version

* Wed Dec 26 2007 Oden Eriksson <oeriksson@mandriva.com> 2.20.1-3mdv2008.1
+ Revision: 137942
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 15 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.1-2mdv2008.1
+ Revision: 108932
- Enable parallel build
- Add bug numbers for upstream merge request

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98393
- new version

* Wed Sep 19 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 90874
- new version
- new devel name

* Sat Jun 23 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-1mdv2008.0
+ Revision: 43464
- new version


* Mon Mar 05 2007 Götz Waschk <waschk@mandriva.org> 2.18.0.1-1mdv2007.0
+ Revision: 133279
- new version
- drop merged patch 2

* Mon Mar 05 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-2mdv2007.1
+ Revision: 133183
-bunzip patches and relevant sources
-Patch2: always rename markup tree files (Mdv bug #29139, GNOME bug #414916)

* Sun Mar 04 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 132016
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.1
+ Revision: 126054
- new version
- Import GConf2

  + Christiaan Welvaart <cjw@daneel.dyndns.org>
    - rebuild to fix source rpm distro tag

* Tue Oct 10 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.1
- fix buildrequires
- New version 2.16.0

* Sat Sep 09 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.0-3mdv2007.0
- Fix bad dependencies caused by profile scripts

* Fri Aug 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.0-2mdv2007.0
- Add local.defaults/mandatory files

* Tue Apr 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.0-1mdk
- Release 2.14.0

* Mon Feb 27 2006 Götz Waschk <waschk@mandriva.org> 2.12.1-4mdk
- fix rpmlint warnings

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-3mdk
- Regenerate patch1, it wasn't applying correctly

* Thu Feb 23 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-2mdk
- Use mkrel

* Thu Nov 03 2005 Götz Waschk <waschk@mandriva.org> 2.12.1-1mdk
- New release 2.12.1

* Mon Oct 10 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.12.0-2mdk
- add BuildRequires: libldap-devel

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-1mdk
- Release 2.10.0

* Thu Jul 28 2005 Götz Waschk <waschk@mandriva.org> 2.10.1-2mdk
- readd dropped dep on GConf2 to the library package

* Thu Jul 07 2005 Götz Waschk <waschk@mandriva.org> 2.10.1-1mdk
- remove prereq
- New release 2.10.1

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-1mdk 
- Release 2.10.0 (based on Götz Waschk package)
- Remove patch2 (merged upstream)

* Mon Feb 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-3mdk 
- Patch2 (CVS): various bug fixes from CVS

* Fri Jan 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-2mdk 
- Patch1: force reload database when schemas are installed/uninstalled

* Tue Nov 09 2004 Götz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- disable parallel build
- drop merged patch 1
- New release 2.8.1

* Wed Nov 03 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.6.4-2.1mdk
- Provide /usr/lib/gconfd-2 symlink on lib64 platforms

* Thu Sep 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-2mdk 
- Update patch1 with CVS bugfix

* Fri Aug 27 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.4-1mdk
- New release 2.6.4

* Tue Jul 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-2mdk
- Patch1 (CVS): backport handling of SIGHUP to force reloading all databases

* Sat Jul 03 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.3-1mdk
- New release 2.6.3

* Wed Jun 16 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- reenable libtoolize
- New release 2.6.2

* Wed Apr 21 2004 Goetz Waschk <goetz@mandrakesoft.com> 2.6.1-1mdk
- New release 2.6.1

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Götz Waschk help)
- update doc life list
- add new files

